import request from '@/utils/request';

/**
 * 获取验证码
 * @param params 要传的参数值
 * @returns 返回接口数据
 */

export function captcha() {
	return request({
		url: '/api/utils/captcha',
		method: 'get',
	});
}

/**
 * 用户登录
 * @param params 要传的参数值
 * @returns 返回接口数据
 */
export function signIn(params: object) {
	return request({
		url: '/api/user/login',
		method: 'post',
		data: params,
	});
}

/**
 * 用户登出
 */
export function logout() {
	return request({
		url: '/api/user/logout',
		method: 'get',
	});
}

/**
 * 创建免密登录
 * @returns 返回接口数据
 */

export function signInByCode(query: string) {
	return request({
		url: `/api/user/oauth/sms/${query}`,
		method: 'POST',
		headers: {
			'Cache-Control': 'skip-cache',
		},
	});
}

/**
 * 获取免密登录状态
 * @returns 返回接口数据
 */

export function getSignInByCodeStatus(query: string) {
	return request({
		url: `/api/user/oauth/sms/${query}`,
		method: 'GET',
		// 请求头
		headers: {
			'Cache-Control': 'skip-cache',
		},
	});
}
